import request from '@/utils/request';
function getCurrentTimestamp() {
  return new Date().getTime();
}
export function SystemGetByProjId(projectId, token) {
  return request({
    url: '/module/get',
    method: 'get',
    params: { projectId },
    headers: {
      'Authorization':'Bearer '+token,
      'content-type': 'application/json;charset=utf-8',
      'Timestamp': getCurrentTimestamp()
    }
  });
}

export function fetchArticle(id) {
  return request({
    url: '/vue-element-admin/article/detail',
    method: 'get',
    params: { id }
  });
}

export function fetchPv(pv) {
  return request({
    url: '/vue-element-admin/article/pv',
    method: 'get',
    params: { pv }
  });
}

export function createArticle(data) {
  return request({
    url: '/vue-element-admin/article/create',
    method: 'post',
    data
  });
}

export function updateArticle(data) {
  return request({
    url: '/vue-element-admin/article/update',
    method: 'post',
    data
  });
}
